package com.zhentao.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class Result implements Serializable {
    private Integer code;
    private String message;
    private Object object;
    public static Result OK(String message,Object object){
        Result result = new Result();
        result.setObject(object);
        result.setMessage(message);
        result.setCode(200);
        return result;
    }
    public static Result ERROR(String message,Object object){
        Result result = new Result();
        result.setObject(object);
        result.setMessage(message);
        result.setCode(400);
        return result;
    }
}
